cabal-version:      3.4
name:               bootstrapper
version:            0.1.0.0

-- A short (one-line) description of the package.
-- synopsis:

-- A longer description of the package.
-- description:

-- A URL where users can report bugs.
-- bug-reports:
license:            NONE
author:             Julien Pilleux
maintainer:         juilen@jpilleux.xyz

-- A copyright notice.
-- copyright:
-- category:
extra-source-files: CHANGELOG.md

library
  exposed-modules:
    ParseArgs,
    CommandController,
    Commands.Command,
    Commands.Nvim,
    Commands.Yay,
    Commands.Ghcup,
    Commands.Errors,
    Commands.Base,
    Commands.AlacrittyUbuntu,
    Commands.Rustup,
    Commands.Stowing,
    Utils.Format,
    Utils.Platform
  hs-source-dirs:
    src
  build-depends:
    base >=4.7 && <5,
    directory == 1.3.7.1,
    http-conduit == 2.3.8,
    bytestring == 0.10.12.0,
    unix == 2.7.2.2,
    process == 1.6.15.0,
    pretty-terminal == 0.1.0.0,
  default-language: Haskell2010
  ghc-options: -Wall -Werror

executable bootstrapper
    main-is:          Main.hs
    -- Modules included in this executable, other than Main.
    -- other-modules:
    -- LANGUAGE extensions used by modules in this package.
    -- other-extensions:
    build-depends:
      base ^>=4.14.3.0,
      bootstrapper,
      pretty-terminal == 0.1.0.0
    hs-source-dirs:   app
    ghc-options: -Wall -Werror -O2 -threaded
    default-language: Haskell2010

test-suite bootstrapper-test
  type: exitcode-stdio-1.0
  default-language: Haskell2010
  hs-source-dirs: tst
  main-is: Spec.hs
  build-depends:
    base >= 4.7 && < 5,
    bootstrapper,
    hspec,
    hspec-discover
